Package org.gradle.api.file

# Interface DirectoryTree

All Known Subinterfaces:
  `ConfigurableFileTree`

public interface DirectoryTree

A directory with some associated include and exclude patterns.

This interface does not allow mutation. However, the actual implementation may not be immutable.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getDir()`
  Returns the base directory of this tree.
  `PatternSet`
  `getPatterns()`
  Returns the patterns which select the files under the base directory.

- ## Method Details

  - ### getDir

    File getDir()
    Returns the base directory of this tree.
    Returns:
      The base dir, never returns null.

  - ### getPatterns

    PatternSet getPatterns()
    Returns the patterns which select the files under the base directory.
    Returns:
      The patterns, never returns null.